<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: CSR specific SDIO registers</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>CSR specific SDIO registers</h1><table border=0 cellpadding=0 cellspacing=0>
<tr><td></td></tr>
<tr><td colspan=2><br><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>#define&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__registers.html#ga0">SDIO_CSR_SLEEP_STATE</a>&nbsp;&nbsp;&nbsp;0xf0</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga1" doxytag="registers::SDIO_CSR_SLEEP_STATE_FUNC" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>SDIO_CSR_SLEEP_STATE_FUNC</b>(f)&nbsp;&nbsp;&nbsp;((f) &lt;&lt; 4)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga2" doxytag="registers::SDIO_CSR_SLEEP_STATE_RDY_INT_EN" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>SDIO_CSR_SLEEP_STATE_RDY_INT_EN</b>&nbsp;&nbsp;&nbsp;0x02</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga3" doxytag="registers::SDIO_CSR_SLEEP_STATE_WAKE_REQ" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>SDIO_CSR_SLEEP_STATE_WAKE_REQ</b>&nbsp;&nbsp;&nbsp;0x01</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>#define&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__registers.html#ga4">SDIO_CSR_HOST_INT</a>&nbsp;&nbsp;&nbsp;0xf1</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="anchor" name="ga5" doxytag="registers::SDIO_CSR_HOST_INT_CL" ></a>
#define&nbsp;</td><td class="memItemRight" valign=bottom><b>SDIO_CSR_HOST_INT_CL</b>&nbsp;&nbsp;&nbsp;0x01</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>#define&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__registers.html#ga6">SDIO_CSR_FROM_HOST_SCRATCH0</a>&nbsp;&nbsp;&nbsp;0xf2</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>#define&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__registers.html#ga7">SDIO_CSR_FROM_HOST_SCRATCH1</a>&nbsp;&nbsp;&nbsp;0xf3</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>#define&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__registers.html#ga8">SDIO_CSR_TO_HOST_SCRATCH0</a>&nbsp;&nbsp;&nbsp;0xf4</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>#define&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__registers.html#ga9">SDIO_CSR_TO_HOST_SCRATCH1</a>&nbsp;&nbsp;&nbsp;0xf5</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>#define&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__registers.html#ga10">SDIO_CSR_EXT_IO_EN</a>&nbsp;&nbsp;&nbsp;0xf6</td></tr>

<tr><td colspan=2><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>enum &nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="group__registers.html#ga11">sdio_sleep_state</a> { <br>
&nbsp;&nbsp;<b>SLEEP_STATE_AWAKE</b> =  SDIO_CSR_SLEEP_STATE_WAKE_REQ, 
<br>
&nbsp;&nbsp;<b>SLEEP_STATE_DROWSY</b> =  SDIO_CSR_SLEEP_STATE_WAKE_REQ | SDIO_CSR_SLEEP_STATE_RDY_INT_EN, 
<br>
&nbsp;&nbsp;<b>SLEEP_STATE_TORPID</b> =  0x00
<br>
 }</td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Registers at 0xF0 - 0xFF in the CCCR are reserved for vendor specific registers. The registers documented here are specific to following CSR chips:<p>
<ul>
<li>BlueCore (6 and later)</li><li>UltraCore </li></ul>
<hr><h2>Define Documentation</h2>
<a class="anchor" name="ga10" doxytag="sdio_csr.h::SDIO_CSR_EXT_IO_EN" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define SDIO_CSR_EXT_IO_EN&nbsp;&nbsp;&nbsp;0xf6
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Extended I/O enable.<p>
Similar to the standard CCCR I/O Enable register, this is used to detect if an internal reset of a function has occured and (optionally) reenable it.<p>
An internal reset is detected by CCCR I/O Enable bit being set and the corresponding EXT_IO_EN bit being clear.     </td>
  </tr>
</table>
<a class="anchor" name="ga6" doxytag="sdio_csr.h::SDIO_CSR_FROM_HOST_SCRATCH0" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define SDIO_CSR_FROM_HOST_SCRATCH0&nbsp;&nbsp;&nbsp;0xf2
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
From host scratch register 0.<p>
A read/write register that can be used for signalling between the host and the chip.<p>
The usage of this register depends on the version of the chip or firmware.     </td>
  </tr>
</table>
<a class="anchor" name="ga7" doxytag="sdio_csr.h::SDIO_CSR_FROM_HOST_SCRATCH1" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define SDIO_CSR_FROM_HOST_SCRATCH1&nbsp;&nbsp;&nbsp;0xf3
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
From host scratch register 1.<p>
<dl compact><dt><b>See also:</b></dt><dd><a class="el" href="group__registers.html#ga6">SDIO_CSR_FROM_HOST_SCRATCH0</a> </dd></dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga4" doxytag="sdio_csr.h::SDIO_CSR_HOST_INT" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define SDIO_CSR_HOST_INT&nbsp;&nbsp;&nbsp;0xf1
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Host interrupt clear register.<p>
Writing a 1 to bit 0 clears an SDIO interrupt raised by a generic function.     </td>
  </tr>
</table>
<a class="anchor" name="ga0" doxytag="sdio_csr.h::SDIO_CSR_SLEEP_STATE" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define SDIO_CSR_SLEEP_STATE&nbsp;&nbsp;&nbsp;0xf0
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Interrupt status/host wakeup register.<p>
This controls a function's deep sleep state.<p>
<dl compact><dt><b>See also:</b></dt><dd>enum <a class="el" href="group__registers.html#ga11">sdio_sleep_state</a> </dd></dl>
    </td>
  </tr>
</table>
<a class="anchor" name="ga8" doxytag="sdio_csr.h::SDIO_CSR_TO_HOST_SCRATCH0" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define SDIO_CSR_TO_HOST_SCRATCH0&nbsp;&nbsp;&nbsp;0xf4
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
To host scratch register 0.<p>
A read only register that may be used for signalling between the chip and the host.<p>
The usage of this register depends on the version of the chip or firmware.     </td>
  </tr>
</table>
<a class="anchor" name="ga9" doxytag="sdio_csr.h::SDIO_CSR_TO_HOST_SCRATCH1" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> #define SDIO_CSR_TO_HOST_SCRATCH1&nbsp;&nbsp;&nbsp;0xf5
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
To host scratch register 1.<p>
<dl compact><dt><b>See also:</b></dt><dd><a class="el" href="group__registers.html#ga8">SDIO_CSR_TO_HOST_SCRATCH0</a> </dd></dl>
    </td>
  </tr>
</table>
<hr><h2>Enumeration Type Documentation</h2>
<a class="anchor" name="ga11" doxytag="sdio_csr.h::sdio_sleep_state" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> enum <a class="el" href="group__registers.html#ga11">sdio_sleep_state</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Deep sleep states as set via the sleep state register.<p>
These states are used to control when the chip may go into a deep sleep (a low power mode).<p>
Since a chip in deep sleep may not respond to SDIO commands, the host should ensure that the chip is not in deep sleep before attempting SDIO commands to functions 1 to 7.<p>
The available states are:<p>
AWAKE - chip must not enter deep sleep and should exit deep sleep if it's currently sleeping.<p>
TORPID - chip may enter deep sleep.<p>
DROWSY - a transition state between TORPID and AWAKE. This is AWAKE plus the chip asserts an interrupt when the chip is awake.<p>
<dl compact><dt><b>See also:</b></dt><dd><a class="el" href="group__registers.html#ga0">SDIO_CSR_SLEEP_STATE</a> </dd></dl>
    </td>
  </tr>
</table>
<hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
